<?php

/**
 * ContactForm class.
 * ContactForm is the data structure for keeping
 * contact form data. It is used by the 'contact' action of 'SiteController'.
 */
class dogGroup extends CFormModel {
	public $answer;

	public function rules() {
		return array(
			array('answer', 'required'),
		);
	}

	public function attributeLabels() {
		return array(
			'answer'=>'What group does your dog belong to (Groups as defined by the Kennel Club, plus Cross-Breed)?',
		);
	}

	public function getForm() {
		return new CForm(array(
			'showErrorSummary'=>true,
			'attributes'=>array('id'=>'survey'),
			'elements'=>array(
				'answer'=>array(
					'type'=>'radiolist',
					'items'=>array('Gundog'=>'Gundog','Hound'=>'Hound','Pastoral'=>'Pastoral','Terrier'=>'Terrier','Toy'=>'Toy','Utility'=>'Utility','Working'=>'Working', 'Cross-Brees'=>'Cross-Breed'),
					'layout'=>'{label}<br/>{input}<br/>{error}'
				),
			),
			'buttons'=>array(
				'submit'=>array(
					'type'=>'submit',
					'label'=>'Next'
				)
			)
		), $this);
	}
}
