<?php

/**
 * ContactForm class.
 * ContactForm is the data structure for keeping
 * contact form data. It is used by the 'contact' action of 'SiteController'.
 */
class Pet extends CFormModel {
	public $type;

	public function rules() {
		return array(
			array('type', 'required'),
		);
	}

	public function attributeLabels() {
		return array(
			'answer'=>'What type of pet(s) do you have?',
		);
	}

	public function getForm() {
		return new CForm(array(
			'showErrorSummary'=>true,
			'attributes'=>array('id'=>'survey'),
			'elements'=>array(
				'type'=>array(
					'type'=>'radiolist',
					'items'=>array('Dog'=>'Dog','Cat'=>'Cat','Dog and Cat'=>'Both','Neither'=>'Neither'),
					'layout'=>'{label}<br/>{input}<br/>{error}'
				),
			),
			'buttons'=>array(
				'submit'=>array(
					'type'=>'submit',
					'label'=>'Next'
				)
			)
		), $this);
	}
}
